<template>
	<section :class="{'section': 1, [`section--${layout}`]: 1, [`section--color-${color}`]: 1, [`section--has-title`]: title}" :id="id || `section-${index}`">
		<div class="container" v-if="title && !skipForLayouts.includes(layout)">
			<section-title :title="title" :text="text" />
		</div>
		<slot />
	</section>
</template>

<script>
export default {
	props: {
		color: {},
		id: {},
		layout: {},
		index: {},
		title: {},
		text: {}
	},
	data() {
		return {
			skipForLayouts: ['text-half']
		}
	}
}
</script>

<style lang="scss">
@import "~/assets/scss/base/section";
</style>
